> For the complete documentation index, see [llms.txt](https://docs.lime-pay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/asian-countries/china.md).

# China

## Required Fields

| Field                  | Format                                                                                                     | Description                                                                                         |
| ---------------------- | ---------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| `login`                | String                                                                                                     | Cashouts login                                                                                      |
| `pass`                 | String                                                                                                     | Cashouts pass                                                                                       |
| `external_id`          | String (max length: 100)                                                                                   | Transaction's ID on your end                                                                        |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations)              | Beneficiary's document ID                                                                           |
| `country`              | `CN`                                                                                                       | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)           |
| `currency`             | `CNY` / `USD`                                                                                              | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies)          |
| `amount`               | Number with up to 2 decimals                                                                               | Cashout amount                                                                                      |
| `bank_account`         | Numeric                                                                                                    | Beneficiary's bank account                                                                          |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/asian-countries/china.md#bank-code) | Code specifying the beneficiary's bank                                                              |
| `beneficiary_name`     | String (max length: 100)                                                                                   | Beneficiary's name in Chinese (中文)                                                                  |
| `beneficiary_lastname` | String (max length: 100)                                                                                   | Beneficiary's last name in Chinese (中文)                                                             |
| `email`                | String (max length: 100)                                                                                   | User's email                                                                                        |
| `phone`                | String                                                                                                     | <p>Beneficiary's phone number including country code</p><h4 id="bank-account-validations"><br></h4> |

## Bank Account Validations

<table data-header-hidden><thead><tr><th>Bank name</th><th align="center">Bank code</th><th width="187">Format</th><th>Description</th><th>Regex</th><th>Example</th></tr></thead><tbody><tr><td>Bank name</td><td align="center">Bank code</td><td>Format</td><td>Description</td><td>Regex</td><td>Example</td></tr><tr><td>Others</td><td align="center">-</td><td>Numeric</td><td>Numeric bank account. Length between 3 and 20 digits inclusive</td><td><code>^\d{3,20}$</code></td><td>3374856</td></tr></tbody></table>

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.<br>

## Example Request

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "873839473123",
    "country": "CN",
    "amount": 100,
    "currency": "USD",
    "bank_code": "149",
    "bank_account": "2837493",
    "bank_branch": "", 
    "beneificiary_name": "名",
    "beneificiary_lastname": "姓",
    "email": "user@email.com",
    "phone": "+8618581234567",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Code

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

<table data-header-hidden><thead><tr><th width="374">Bank</th><th>Code</th></tr></thead><tbody><tr><td>Bank of Communications</td><td>301</td></tr><tr><td>China CITIC Bank</td><td>302</td></tr><tr><td>Shanghai Pudong Development Bank</td><td>310</td></tr><tr><td>China Minsheng Bank</td><td>305</td></tr><tr><td>Pingan bank</td><td>903</td></tr><tr><td>Postal Savings Bank of China</td><td>403</td></tr><tr><td>China s Industrial Bank</td><td>309</td></tr><tr><td>China Everbright Bank</td><td>303</td></tr><tr><td>China Construction Bank</td><td>105</td></tr><tr><td>Industrial and Commercial Bank</td><td>102</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/asian-countries/china.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
